using System.Windows.Media.Media3D;
using WpfEngineeringSketch.ViewModels;

namespace WpfEngineeringSketch.Models.Scene
{
    public class SceneObject : ViewModelBase
    {
        private Point3D _position;
        private Vector3D _rotation;
        private Vector3D _scale = new Vector3D(1, 1, 1);
        private bool _isSelected;
        private BlockType _type;

        public Point3D Position
        {
            get => _position;
            set => SetProperty(ref _position, value);
        }

        public Vector3D Rotation
        {
            get => _rotation;
            set => SetProperty(ref _rotation, value);
        }

        public Vector3D Scale
        {
            get => _scale;
            set => SetProperty(ref _scale, value);
        }

        public bool IsSelected
        {
            get => _isSelected;
            set => SetProperty(ref _isSelected, value);
        }

        public BlockType Type
        {
            get => _type;
            set => SetProperty(ref _type, value);
        }
    }
}
